//添加ios伪类触发事件
$('body').attr('ontouchstart', '');
apiready = function() {
    document.addEventListener("ontouchstart", function() {});
    // document.body.addEventListener("onmouseover", function() {});
    var name = GetQueryString('name');
    var s = GetQueryString('s');
    // var data = GetQueryString('data');
    if (name) {
        var data = api.pageParam;
        if (name == 'login') {
            $('#aui-header').hide();
            api.addEventListener({
                name: 'keyback'
            }, function(ret, err) {
                api.toLauncher();
            });
        } else {
            api.addEventListener({
                name: 'keyback'
            }, function(ret, err) {
                api.sendEvent({
                    name: 'refresh',
                });
                closeWin();
            });
        }
        if (name == 'userInvite') {
            $("#userCodeExchange").removeClass('aui-hide');
        }
        if (name == 'userOrderEvaluate') {
            $("#userOrderEvaluate").removeClass('aui-hide');
        }
        if (name == 'userAddress') {
            $("#userAddress").removeClass('aui-hide');
        }
        if (name == 'game') {
            $("header").addClass('aui-hide');
            api.setFullScreen({
                fullScreen: true
            });
            var wx = api.require('wx');
            wx.isInstalled(function(ret, err) {
                if (ret.installed) {
                    $("#game").removeClass('aui-hide');
                } else {}
            });
        } else {
            api.setFullScreen({
                fullScreen: false
            });
        }
        $(".aui-title").text(getWinNameByString(name, data));
        api.parseTapmode();
        var header = $api.byId('aui-header');
        $api.fixStatusBar(header);
        var headerPos = $api.offset(header);
        var body_h = $api.offset($api.dom('body')).h;
        api.openFrame({
            name: name,
            url: name + '.html?s=' + s,
            useWKWebView: true,
            pageParam: data,
            allowEdit: true,
            rect: {
                x: 0,
                y: headerPos.h,
                w: 'auto',
                h: 'auto'
            }
        })
    }
};

function openWin(name, s, data) {
    var slidBackEnabled = name == 'login' ? false : true;
    var delay = 0;
    if (api.systemType != 'ios') {
        delay = 300;
    }
    var url = 'common_win.html?name=' + name + '&s=' + s;
    if (name == 'userMsg' || (name == 'userCoins' && s)) {
        url = 'html/common_win.html?name=' + name + '&s=' + s;
    }
    api.openWin({
        name: '' + name + '',
        url: url,
        bounces: false,
        delay: delay,
        slidBackEnabled: slidBackEnabled,
        vScrollBarEnabled: false,
        pageParam: {
            test: 1,
            data: data
        },
        animation: name == 'game' ? { type: "fade" } : ''
    });
}

function openWinIndex() {
    api.openWin({
        name: 'index',
        url: '../index.html',
        bounces: false,
        slidBackEnabled: false,
        scrollEnabled: false
    });
}



function funIniGroup() {
    var eHeaderLis = $api.domAll('header li'),
        frames = [];
    var bgColor = ['#f5f5f5', '#f5f5f5', '#061c33']
    for (var i = 0, len = eHeaderLis.length; i < len; i++) {
        frames.push({
            name: 'frame' + i,
            url: './html/frame' + i + '.html',
            bgColor: '#0a2542',
            bounces: true,
            useWKWebView: true,
            // scrollEnabled: true,
            vScrollBarEnabled: true
        })
    }
    api.openFrameGroup({
        name: 'group',
        scrollEnabled: false,
        preload: 2,
        rect: {
            x: 0,
            y: $api.dom('header').offsetHeight,
            w: api.winWidth,
            h: $api.dom('#main').offsetHeight
        },
        index: 0,
        frames: frames
    }, function(ret, err) {

    });
}

// 随意切换按钮
function randomSwitchBtn(tag) {
    if (tag == $api.dom('#footer li.active')) return;
    var eFootLis = $api.domAll('#footer li'),
        eHeaderLis = $api.domAll('header li'),
        index = 0;
    for (var i = 0, len = eFootLis.length; i < len; i++) {
        if (tag == eFootLis[i]) {
            index = i;
        } else {
            $api.removeCls(eFootLis[i], 'active');
            $api.removeCls(eHeaderLis[i], 'active');
        }
    }
    $api.addCls(eFootLis[index], 'active');
    $api.addCls(eHeaderLis[index], 'active');
    api.setFrameGroupIndex({
        name: 'group',
        index: index,
    });
}

function getWinNameByString(string, data) {
    switch (string) {
        case 'login':
            return '登陆';
            break;
        case 'msg':
            return '消息';
            break;
        case 'userData':
            return '个人信息';
            break;
        case 'userAddress':
            return '收货地址';
            break;
        case 'userTel':
            return '手机绑定';
            break;
        case 'telLogin':
            return '手机登陆';
            break;
        case 'userSet':
            return '设置';
            break;
        case 'userPlayList':
            return '游戏记录';
            break;
        case 'userAwardList':
            return '获奖记录';
            break;
        case 'userOrder':
            return '发货记录';
            break;
        case 'userOrderLgistics':
            return '物流信息';
            break;
        case 'userOrderEvaluate':
            return '评论';
            break;
        case 'userCoins':
            return '充值';
            break;
        case 'userCoinsList':
            return '游戏币记录';
            break;
        case 'customerservice':
            return '在线客服';
            break;
        case 'userScore':
            return '我的积分';
            break;
        case 'userScoreList':
            return '积分记录';
            break;
        case 'userInvite':
            return '邀请赚币';
            break;
        case 'userCodeExchange':
            return '邀请码兑换';
            break;
        case 'Ad':
            return '广告赚币';
            break;
        case 'userMsg':
            return '消息';
            break;
        case 'game':
            return '游戏中心';
            break;
        case 'goods':
            return '商品详情';
            break;
        case 'AdLink':
            return data.data.name.length > 7 ? data.data.name.slice(0, 7) + '...' : data.data.name;
            break;
    }
};


function openModal(name, type, data) {
    var atype = "movein";
    if (name == 'ImgModal') {
        atype = "none"
    }
    api.openFrame({
        name: name,
        url: name + '.html',
        bgColor: 'rgba(0, 0, 0, 0.15)',
        useWKWebView: true,
        pageParam: {
            type: type,
            data: data
        },
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        animation: {
            type: atype, //动画类型（详见动画类型常量）
            subType: "from_top", //动画子类型（详见动画子类型常量）
            duration: 300 //动画过渡时间，默认300毫秒
        }
    });
}



function closeWin(name) {
    var winName = api.winName;
    if (winName == 'game') {
        api.sendEvent({
            name: 'exitgame',
        });
    }
    api.setFullScreen({
        fullScreen: winName == 'goods' ? true : false
    });
    api.sendEvent({
        name: 'refresh',
    });
    api.closeWin({
        name: name
    });
}

function GetQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) {
        return unescape(r[2]);
    }
    return null;
}

function getSg(data, string) {
    var assemble = [];
    for (d in data) {
        if (data[d] !== '' && data[d] != null) {
            if (Object.prototype.toString.call(data[d]) === '[object Object]') {
                for (var i = 0; i < data[d].length; ++i) {
                    data[d][i] = objKeySort(data[d][i]);
                }
                assemble.push({ key: d, val: JSON.stringify(data[d]) });
            } else if (Object.prototype.toString.call(data[d]) === '[object Array]') {
                assemble.push({ key: d, val: JSON.stringify(data[d]) });
            } else {
                assemble.push({ key: d, val: data[d] });
            }
        }
    }
    if (assemble.length == 0) {
        return null;
    }
    assemble.sort();
    var stringSignTemp = '';
    for (var i = 0; i < assemble.length; ++i) {
        stringSignTemp += assemble[i].key + '=' + assemble[i].val + '&';
    }
    stringSignTemp += string;
    var sign = $.md5(stringSignTemp).toUpperCase();
    return sign;
}

function objKeySort(obj) {
    var newkey = Object.keys(obj).sort();
    var newObj = {};
    for (var i = 0; i < newkey.length; i++) {
        newObj[newkey[i]] = obj[newkey[i]];
    }
    return newObj;
}


function getLocalTime(timestamp) {
    var date = new Date(timestamp * 1000); //时间戳为10位需*1000，时间戳为13位的话不需乘1000
    var Y = date.getFullYear();
    var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1);
    if (M < 10) {
        // M = '0' + M;
    }

    var D = date.getDate();
    if (D < 10) {
        D = '0' + D;
    }

    var h = date.getHours();
    if (h < 10) {
        h = '0' + h;
    }

    var m = date.getMinutes();
    if (m < 10) {
        m = '0' + m;
    }
    var s = date.getSeconds();
    return Y + '-' + M + '-' + D + ' ' + h + ':' + m;
    // var time = new Date(parseInt(nS) * 1000).toLocaleString().replace(/:\d{1,2}$/, ' ');
    // return time.slice(0, 10).replace(' ', '');
}


function shareImage(scene) {
    var systemType = api.systemType;
    var wx = api.require('wx');
    var serverInfo = $api.getStorage('serverInfo');
    var userInfo = $api.getStorage('UserInfo_');
    // alert(JSON.stringify(userInfo));
    if (systemType == 'ios') {
        wx.shareImage({
            scene: scene,
            thumb: serverInfo.sharethumb,
            contentUrl: userInfo.shareImg,
        }, function(ret, err) {
            if (ret.status) {
                // alert('分享成功');
            } else {
                _alert(err.code);
            }
        });
        return;
    }
    var thumb, shareimg;
    api.download({
        url: serverInfo.sharethumb,
        savePath: 'fs://sharethumb' + Math.round(new Date() / 1000) + '.png',
        report: true,
        cache: true,
        allowResume: true
    }, function(ret, err) {
        if (ret.state == 1) {
            thumb = ret.savePath;
            api.download({
                url: userInfo.shareImg,
                savePath: 'fs://shareimg' + Math.round(new Date() / 1000) + '.png',
                report: true,
                cache: true,
                allowResume: true
            }, function(ret, err) {
                if (ret.state == 1) {
                    shareimg = ret.savePath;
                    wx.shareImage({
                        scene: scene,
                        thumb: '../images/logo.png',
                        contentUrl: shareimg,
                    }, function(ret, err) {
                        if (ret.status) {
                            // alert('分享成功');
                        } else {
                            // _alert(err.code);
                        }
                    });
                } else {

                }
            });
        } else {

        }
    });
}

function shareWebpage(scene, data) {
    var gameData = data;

    var userInfo = $api.getStorage('UserInfo');
    var data = {
        uid: userInfo.uid,
        ip: gameData.shareIp,
        port: gameData.sharePort
    }
    data.sign = getSg(data, userInfo.token);

    $.ajax({
        url: userInfo.halladdr + '/share_agent_play',
        type: 'POST',
        dataType: 'json',
        data: data,
        success: function(ret) {
            // _alert('分享成功', 'middle', 2000);
        }
    });

    var serverInfo = $api.getStorage('serverInfo');
    // alert(JSON.stringify(serverInfo));
    var wx = api.require('wx');
    var thumb;
    api.download({
        url: serverInfo.sharethumb,
        savePath: 'fs://sharethumb.png',
        report: true,
        cache: true,
        allowResume: true
    }, function(ret, err) {
        if (ret.state == 1) {
            thumb = ret.savePath;
            wx.shareWebpage({
                apiKey: '',
                scene: scene,
                title: serverInfo.sharetitle,
                description: serverInfo.sharecontent,
                thumb: "../images/logo.png",
                contentUrl: serverInfo.sharelink + '?gameId=' + gameData.gameId
            }, function(ret, err) {
                if (ret.status) {
                    // alert('分享成功');
                    // _alert('分享成功', 'middle', 2000);

                } else {
                    // alert(err.code);
                }
            });
        } else {

        }
    });
}

function _alert(msg, pos, duration) {
    if (!duration) {
        duration = 500;
    }
    // api.toast({
    //     msg: msg,
    //     duration: duration,
    //     location: pos
    // });
    var toast = new auiToast();
    toast.fail({
        title: msg,
        duration: duration
    });
}

function ClickInvalid(obj) {
    // 添加动态点击事件ios无效方法，往节点添加事件
}

//每次打开都需要看下有木有游戏ID
function ajaxInit() {
    var userInfo = $api.getStorage('UserInfo');
    var data = {
        uid: userInfo.uid
    };
    data.sign = getSg(data, userInfo.token);
    $.ajax({
        url: userInfo.halladdr + '/login',
        type: 'POST',
        dataType: 'json',
        data: data,
        success: function(ret) {
            if (ret.errcode == 0) {
                $api.setStorage('gameId', ret.gameId);
            } else {
                _alert(ret.errmsg, 'middle');
            }
        }
    });
}


function copy(val) {
    var clipBoard = api.require('clipBoard');
    clipBoard.set({
        value: val
    }, function(ret, err) {
        if (ret) {
            _alert('复制成功', 'bottom');
        } else {
            _alert(JSON.stringify(err), 'middle');
        }
    });
}


function getURL() {
    return "http://302z.cn:9000";
}